//  Beispiel 20 "Senden einer eMail (ohne SSL, auf Port 25)"
//
//  Unter Verwendung der IoT Brick Library

#include <all_IoT.h>
#include <all_Mail.h>


void setup()
{
  IoT_Init(true);                                               // EPS8266 initialisieren
  IoT_TerminalWaitInit(true);                                   // Auf Terminalverbindung warten
  IoT_WLANautoConnect(true);                                    // Verbindung, ggf. gespeicherte, über WLAN herstellen
  Serial.println("");
  Serial.println("Eine eMail versenden mit dem IoT-Brick");
  Serial.println("--------------------------------------");
  Serial.println("");
  mail_MessageTrace = true;
  int error = mail_Send("(Server URL)", 25, "(Benutzername)", "(Kennwort)",
                        "(Name des Senders)", "(Mail des Senders)", "(Name des Empfängers)", "(Mail des Empfängers)",
                        "(Betreffzeile)","(Die eigentliche eMail als Text)");
  Serial.println("");
  if (error == 0)
  {
    Serial.println("Email erfolgreich gesendet.");
  }
  else
  {
    Serial.println("Email konnte nicht gesendet werden.");
    Serial.println("Fehlercode = " + String(error));
  }
}

void loop()
{
  IoT_ShutDown();
}

